"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ea70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586eb00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586eb90>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ec20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ecb0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ed40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586edd0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ee60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586eef0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ef80>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f010>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f0a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f130>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f1c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f250>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f2e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f370>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f400>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f490>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f520>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f5b0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f640>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f6d0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f760>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f7f0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f910>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586f9a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fa30>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fac0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fb50>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fbe0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fc70>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fd00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fd90>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586fe20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586feb0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7586ff40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c40d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c41f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c43a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c44c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c45e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c48b0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c49d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4a60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4af0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4b80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4c10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4ca0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4d30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4dc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4e50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4ee0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5090>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c4f70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5120>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c51b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5240>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c52d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5360>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5480>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c53f0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5510>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c55a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5630>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5750>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c56c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c57e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5870>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5900>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5990>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5a20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff758c5ab0>)]
name: str = 'fr_HOCCN'
